import { Module } from '@nestjs/common';
import { MessageService } from './message.service';
import { MessageRouter } from './message.router';
import { TrpcService } from '@server/trpc/trpc.service';
import { DepartmentModule } from '../department/department.module';
import { MessageController } from './message.controller';

@Module({
  imports: [DepartmentModule], //可能要用的
  providers: [MessageService, MessageRouter, TrpcService], //可以被自己使用这三个
  exports: [MessageService, MessageRouter], //可以被其他模块使用这两个
  controllers: [MessageController], //路由层
})
export class MessageModule { }
